# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:aclmode, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
    Specifies the ACL mode.

        zfs_...{
          ...
          aclmode => 'discard'
          ...
        }

    At the moment it accepts the following values:

    - discard
    - mask
    - passthrough

  DESC

  data_type('Optional[String]')
end
