# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:atime, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DESC
    Specifies weather you want to update access time on read.

        zfs_...{
          ...
          atime => true
          ...
        }
  DESC

  data_type('Optional[Boolean]')

  newvalues(true, false)
end
