# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:checksum, :parent => Puppet::Parameter::ZfsProperty) do
  desc <<-DESC
    Specifies the ACL inheritance behavior.

        zfs_...{
          ...
          checksum => 'fletcher2'
          ...
        }

    At the moment it accepts the following values:
    - fletcher2
    - fletcher4
    - sha256

  DESC

  data_type('Optional[String]')
end
