# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:maxblocksize, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Float

  desc <<-DESC
    Specifies the maximum blocksize for the project and/or the share.

        zfs_...{
          ...
          maxblocksize => 'restricted'
          ...
        }
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer,Float]]")
end
