# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:readonly, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DESC
    Specifies if the project is readonly or not.

        zfs_...{
          ...
          readonly => true
          ...
        }
  DESC

  data_type('Optional[Boolean]')

  newvalues(true, false)
end
