# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:recordsize, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Float

  desc <<-DESC
    Specifies the record size of the project or share.

        zfs_...{
          ...
          recordsize => '1000'
          ...
        }
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer,Float]]")
end
