# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:reservation, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Float

  desc <<-DESC
    Specifies the reservation size for the project or share.

        zfs_...{
          ...
          reservation => '100'
          ...
        }
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer,Float]]")
end
