# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType

  desc <<-DESC
    The password used to connect to the ZFS appliance.

        zfs_appliance {my_appliance:
          ...
          password => 'very_secret',
          ...
        }


  DESC

  data_type('Optional[String[1]]')

  to_translate_to_resource do |raw_resource|
    # rubocop:disable Style/RedundantSelf
    raw_resource[self.name]
    # rubocop:enable Style/RedundantSelf
  end

  # rubocop:disable Naming/PredicateName
  def is_to_s(_currentvalue)
    # rubocop:enable Naming/PredicateName
    '[old encrypted value]'
  end

  def should_to_s(_newvalue)
    '[new encrypted value]'
  end
end
