# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:username) do
  include EasyType

  desc <<-DESC
    The username used to connect to the ZFS appliance.

        zfs_appliance {my_appliance:
          ...
          username => 'root',
          ...
        }


  DESC

  data_type('Optional[String[1]]')

  defaultto 'root'

  to_translate_to_resource do |raw_resource|
    # rubocop:disable Style/RedundantSelf
    raw_resource[self.name]
    # rubocop:enable Style/RedundantSelf
  end
end
