# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:verify_ssl) do
  include EasyType

  desc <<-DESC
    Verify the SSL connection. e.g. Check if it has a valid SSL key.

        zfs_appliance {my_appliance:
          ...
          verify_ssl => 'true',
          ...
        }

  DESC

  data_type('Optional[Boolean]')

  defaultto true
  # rubocop:disable Lint/BooleanSymbol
  newvalues(:true, :false)
  # rubocop:enable Lint/BooleanSymbol
  to_translate_to_resource do |raw_resource|
    # rubocop:disable Style/RedundantSelf
    raw_resource[self.name]
    # rubocop:enable Style/RedundantSelf
  end
end
