# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nodestroy, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DESC
    Specifies if the contants of the share is deleted when the share is deleted.

        zfs_share { ...
          ...
          nodestroy => true
          ...
        }

  DESC

  data_type('Optional[Boolean]')

  newvalues(true, false)
end
