# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:quota_snap, :parent => Puppet::Parameter::ZfsProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DESC
     Specifies the quota snap behaviour of the project or share.

        zfs_...{
          ...
          quota_snap => 'true'
          ...
        }
  DESC

  data_type('Optional[Boolean]')

  newvalues(true, false)
end
