# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

# rubocop:disable Style/Documentation
module Puppet_X
  module EnterpriseModules
    module Zfs
      module Provider
        # rubocop:enable Style/Documentation
        include EasyType::Provider

        def self.included(parent)
          #
          # We use send here because in ruby 1.8.7, include is a private
          # method. In ruby 1.9 this has become public.
          # TODO: When we lose support for ruby 1.8.7 change this to more standard
          #
          parent.send(:include, EasyType)
          parent.send(:include, EasyType::Provider)
        end
      end
    end
  end
end
