# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
# rubocop:disable Style/Documentation
module Puppet_X
  module EnterpriseModules
    module Zfs
      module TitleParser
        # rubocop:enable Style/Documentation
        def parse_appliance_title
          # rubocop:disable Style/ClassVars
          @@appliance_parser ||= lambda { |appliance_name| appliance_name.nil? ? 'default' : appliance_name[0..-2] }
          # rubocop:enable Style/ClassVars
        end

        def parse_name
          # rubocop:disable Style/ClassVars
          @@name_parser ||= lambda { |name| name.include?(':') ? name : "default:#{name}" }
          # rubocop:enable Style/ClassVars
        end

        def add_title_attributes(*attributes, &proc)
          base_attributes = [:name, parse_name], [:appliance, parse_appliance_title]
          all_attributes = base_attributes + attributes
          map_title_to_attributes(*all_attributes, &proc)
        end
      end
    end
  end
end
